package com.palmnest.service.estateserve;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.PushBillOutputDto;
import com.palmnest.model.PushBill;
import com.palmnest.model.User;
import com.palmnest.service.GenericManager;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

public interface PushBillManager extends GenericManager<PushBill, Integer> {

	public List<Map<String, Object>> getPushBillList(Map map);

	public String addPushBill(PushBill push);

	/**
	 * 新增多条推送账单接口
	 *
	 * @param pushBillList
	 * @return
	 * @throws Exception
	 */
	public int savePushBill(List<PushBill> pushBillList) throws Exception;

	public Map<String, Object> saveImportPushBillData(InputStream ins) throws Exception;

	public List<PushBill> getPushBillListByListObj(String orgId, String title, String remark, String monthDate, String beginTime, String endTime, int billType, String pushUpDate, List<PushBillOutputDto> listObj, User user) throws Exception;

	public Page queryBillPushList(String proId, String beginTime, String endTime, String billType, String orgId, String floorIds, String virName, int pageNo, int pageSize) throws Exception;

	public List<Map<String, Object>> getWechatPushBillList(String openId) throws Exception;
}
